html {
  height: 100%;
  width: 100%;
}

body {
  background-color: #111111;
  display: flex;
  flex-direction: column;
  padding: 0px;
  overflow-x: hidden;
}

header img {
  display: flex;
  width: 380px;
  height: auto;
  margin-top: 25px;
  padding-left: 27px;
  transition: 500ms;
}

h1 {
  position: relative;
  font-family: "Sora", sans-serif;
  font-weight: 600;
  color: white;
  font-size: 120px;
  padding-left: 60px;
  margin-top: 120px;
  line-height: 140px;
  transition: 500ms;
}

h2 {
  position: relative;
  font-family: "Sora", sans-serif;
  font-weight: 300;
  color: white;
  font-size: 25px;
  padding-left: 60px;
  margin-top: 30px;
  transition: 500ms;
}

h3 {
  font-family: "Sora", sans-serif;
  font-weight: 400;
  color: white;
  font-size: 25px;
  padding-left: 60px;
  position: relative;
}

.typed-cursor {
  color: #28b197;
  position: relative;
}

h4 {
  font-family: "Sora", sans-serif;
  font-weight: 600;
  color: white;
  font-size: 100px;
  margin-top: 28vh;
  line-height: 160px;
  text-align: center;
  transition: 500ms;
  position: relative;
}

.carrossel {
  max-height: 100%;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.carousel-caption h5 {
  font-family: "Sora", sans-serif;
  font-weight: 600;
  font-size: 1.5rem;
  text-shadow: 0px 0px 6px #000000;
}

.carousel-caption p {
  font-family: "Sora", sans-serif;
  font-weight: 400;
  text-shadow: 0px 0px 6px #000000;
  text-transform: uppercase;
  font-size: 0.8rem;
  letter-spacing: 2px;
}

#carouselVilaRossa {
  border-radius: 20px;
  overflow: hidden;
}

#carouselSportVille {
  border-radius: 20px;
  overflow: hidden;
  aspect-ratio: 16 / 9;
}

#carouselValeSuico {
  border-radius: 20px;
  overflow: hidden;
}

#carouselGrandMercure {
  border-radius: 20px;
  overflow: hidden;
}

#carouselFinalDoAno21 {
  border-radius: 20px;
  overflow: hidden;
}

#carouselFinalDoAno22 {
  border-radius: 20px;
  overflow: hidden;
}

#carouselInauguracaoLojas {
  border-radius: 20px;
  overflow: hidden;
}

#carouselStockCar {
  border-radius: 20px;
  overflow: hidden;
}

#carouselTim {
  border-radius: 20px;
  overflow: hidden;
}

#imgvalesuico img {
  transform-origin: 0 0;
  transform: scaleX(1.06) scaleY(1.06);
}

.carousel-item {
  box-shadow: inset 0 -15px 10px white;
}

.navigation {
  font-size: 30px;
}

.card-body {
  display: flex;
  background-color: #111111;
  color: white;
  border: none;
}

.box {
  display: flex;
  text-align: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  border-radius: 20px 20px 20px 20px;
  transition: 500ms;
  aspect-ratio: 16 / 9;
}

.cover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #1d1d1da6;
  transition: opacity 0.15s ease-in;
  opacity: 0;
  padding-top: 80px;
  color: #ffffff;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.15);
  border-radius: 20px 20px 20px 20px;
  transition: 500ms;
}

.card {
  display: flex;
  border: none;
  border-radius: 30px 30px 30px 30px;
  transition: 500ms;
}

.box:hover .cover {
  opacity: 1;
  cursor: pointer;
}

.name {
  position: relative;
  margin-top: -1rem;
  font-family: "Sora", sans-serif;
  font-weight: 600;
  font-size: 2.5rem;
  text-align: center;
  font-weight: bold;
}

.name1 {
  position: relative;
  margin-top: -1rem;
  font-family: "Sora", sans-serif;
  font-weight: 600;
  font-size: 2.5rem;
  text-align: center;
  font-weight: bold;
}

.name2 {
  position: relative;
  margin-top: -1rem;
  font-family: "Sora", sans-serif;
  font-weight: 600;
  font-size: 2rem;
  text-align: center;
  font-weight: bold;
}

.title {
  position: relative;
  margin-top: -1rem;
  font-family: "Sora", sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  color: #28b197;
  letter-spacing: 2px;
  font-size: 1rem;
  margin-bottom: 1.5rem;
}

h5 {
  position: relative;
  font-family: "Sora", sans-serif;
  font-weight: 400;
  color: white;
  margin-top: 80px;
  font-size: 30px;
  text-align: center;
  transition: 500ms;
}

.links-container {
  display: flex;
  width: 100%;
  justify-content: center;
  transition: 500ms;
}

.modal-content {
  border-radius: 50px;
}

.modal-header {
  background-color: #111111;
  border-radius: 20px 20px 0px 0px;
}

.modal-body {
  background-color: #111111;
  border-radius: 0px 0px 20px 20px;
}

.modal-footer {
  background-color: #111111;
}

.modal-title {
  font-family: "Sora", sans-serif;
  font-weight: 600;
  color: white;
  margin-top: 2rem;
  margin-bottom: -2rem;
  text-align: center;
  position: relative;
  left: 50%;
  right: 50%;
  transform: translateX(-50%) translateY(-50%);
}

b img {
  aspect-ratio: 16 / 9;
}

#btnfechar {
  position: relative;
  background-color: #111111;
  color: white;
  border: 0.18rem solid;
  border-color: #28b197;
  border-radius: 0.5rem;
}

#btnfechar:hover {
  background-color: #28b197;
  filter: drop-shadow(0 0 3px #28b197);
  transition: 200ms;
}

a {
  text-decoration: none;
  text-align: center;
  font-size: 30px;
  color: white;
  transition: 500ms;
  padding: 20px;
}

a:hover {
  color: #28b197;
  transition: 200ms;
  filter: drop-shadow(0 0 5px #28b197);
}

@keyframes rotate {
  from {
    rotate: 0deg;
  }

  50% {
    scale: 1 1.5;
  }

  to {
    rotate: 360deg;
  }
}

#blob {
  background-color: white;
  height: 34vmax;
  aspect-ratio: 1;
  position: fixed;
  left: 50%;
  top: 50%;
  translate: -50% -50%;
  border-radius: 50%;
  background: linear-gradient(to right, #00ffd0, #28b197, #186053);
  animation: rotate 20s infinite;
  opacity: 0.8;
  z-index: -2;
}

#blur {
  height: 100vw;
  width: 100vw;
  position: fixed;
  z-index: -1;
  backdrop-filter: blur(12vmax);
}

::-webkit-scrollbar {
  background-color: #111111;
  width: 8px;
  transition: 0.4s;
}

::-webkit-scrollbar-thumb {
  background-color: #28b197;
  border-radius: 20px;
  transition: 0.4s;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #03836b;
  transition: 0.4s;
}

::-moz-selection {
  color: white;
  background: #28b197;
}

::selection {
  color: white;
  background: #28b197;
}

@media screen and (max-width: 1300px) {
  header img {
    width: 45vh;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: 500ms;
  }

  h1 {
    font-size: 10vh;
    line-height: 10vh;
    transition: 500ms;
  }

  h2 {
    font-size: 3.5vh;
    margin-top: 3.5vh;
    transition: 500ms;
  }

  h3 {
    font-size: 3.5vh;
    transition: 500ms;
  }

  h4 {
    font-size: 10vh;
    margin-top: 3vh;
    transition: 500ms;
  }

  .name {
    font-size: 2rem;
  }

  .name1 {
    font-size: 2rem;
    margin-top: -1.5rem;
  }

  .name2 {
    font-size: 2rem;
    margin-top: -1.5rem;
  }

  .title {
    font-size: 2vh;
  }

  h5 {
    font-size: 4vh;
    text-align: center;
    transition: 500ms;
  }

  .links-container {
    display: flex;
    width: 100%;
    justify-content: center;
  }
}

@media screen and (max-width: 1200px) {
  .name {
    font-size: 1.5rem;
  }

  .name1 {
    font-size: 1.5rem;
  }

  .name2 {
    font-size: 1.5rem;
  }

  .title {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 992px) {
  .name {
    margin-top: -2.2rem;
    font-size: 1rem;
  }

  .name1 {
    margin-top: -2.2rem;
    font-size: 1rem;
  }

  .name2 {
    margin-top: -2.2rem;
    font-size: 1rem;
  }

  .title {
    font-size: 0.7rem;
  }
}

@media screen and (max-width: 768px) {
  header img {
    width: 35vh;
    transition: 500ms;
  }

  h1 {
    font-size: 5vh;
    line-height: 5vh;
    margin-left: -5vh;
    transition: 500ms;
  }

  h2 {
    font-size: 2.2vh;
    margin-top: 2.2vh;
    transition: 500ms;
    margin-left: -5vh;
    padding-right: 5vh;
  }

  h3 {
    font-size: 2.2vh;
    margin-left: -5vh;
    transition: 500ms;
  }

  h4 {
    font-size: 5vh;
    margin-top: 3vh;
    transition: 500ms;
  }

  #blob {
    opacity: 0;
  }

  #blur {
    opacity: 0;
  }

  h5 {
    font-size: 3vh;
    text-align: center;
    transition: 500ms;
  }

  .links-container {
    display: flex;
    width: 100%;
    justify-content: center;
    transition: 500ms;
    color: white;
  }
}

@media screen and (max-width: 575px) {
  .name {
    margin-top: -1rem;
    font-size: 1.5rem;
  }

  .name1 {
    margin-top: -1rem;
    font-size: 1.5rem;
  }

  .name2 {
    margin-top: -1rem;
    font-size: 1.5rem;
  }

  .title {
    font-size: 0.8rem;
  }

  h4 {
    font-size: 6vh;
  }
}
